Error code: SEC_ERROR_EXPIRED_CERTIFICATE

Error code: SEC_ERROR_EXPIRED_CERTIFICATE

Bugger, that’s meant to auto-renew. Thanks for the heads-up.

Should be fixed now.

all seems well again

Not gone with Let’s Encrypt?

Yes, it just didn’t auto-renew.

Interesting. Ah Cloudflare are involved.